# include/touch.h File Reference

`#include "adc.h"`

Go to the source code of this file.

## Defines

#define | TOUCH_H_ TOUCH_H_
| touch.h
#define | TOUCH_PORT PORTA
#define | TOUCH_PIN PINA
#define | TOUCH_DDR DDRA
#define | TOUCH_X1 PA1
#define | TOUCH_X2 PA3
#define | TOUCH_Y1 PA5
#define | TOUCH_Y2 PA7
#define | TOUCH_PRESSED_LEVEL 1000

## Functions

uint8_t | touch_is_pressed (void)
| This functions set 5V to X1 and GND to Y1, the voltage at X2 is measured via the ADC.
int16_t | touch_readX (void)
int16_t | touch_readY (void)

## Define Documentation

#define TOUCH_DDR DDRA

#define TOUCH_H_ TOUCH_H_

touch.h

Created on: 29.05.2009 Author: sebastian

#define TOUCH_PIN PINA

#define TOUCH_PORT PORTA

#define TOUCH_PRESSED_LEVEL 1000

#define TOUCH_X1 PA1

#define TOUCH_X2 PA3

#define TOUCH_Y1 PA5

#define TOUCH_Y2 PA7

## Function Documentation

uint8_t touch_is_pressed | ( | void |  | ) |

This functions set 5V to X1 and GND to Y1, the voltage at X2 is measured via the ADC.

If the ADC-Value is less then TOUCH_PRESSED_LEVEL, the function will return 1.

Returns:
  1 if pressed else 0

int16_t touch_readX | ( | void |  | ) |

int16_t touch_readY | ( | void |  | ) |